Core Plot 2.2 non-ARC on 32-bit Macs?

7 views
Skip to first unread message

David Doherty

unread,
Sep 18, 2017, 7:35:06 PM9/18/17
to coreplot-discuss
Hi,

I have a non-ARC Mac App that targets 10.6. Using Xcode 8.3.2.
Linking the Core Plot 2.2 framework, which is built as 64-bit.
If I turn off ARC and switch to a Universal Build, etc., I get errors...

Is is possible to use Xcode 8.3, Core Plot 2.2, and build a Universal (32- + 64-bit) framework (which requires non-ARC for 32-bit)?

Thanks!


Eric

unread,
Sep 18, 2017, 7:53:36 PM9/18/17
to coreplot-discuss
Core Plot 2.2 requires MacOS X 10.8. Core Plot 1.5.1 was the last release that supported MacOS X 10.6.

See the Change Log for details.

Eric
Reply all
Reply to author
Forward
0 new messages